/*===== GOOGLE FONTS =====*/
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600&display=swap");

/*===== VARIABLES CSS =====*/
:root {
  --header-height: 3rem;

  /*========== Colors in Official Website ==========*/
  --first-color: #021DF3;
  --second-color: #FEC900;
  --header-color: #4B535A;
  --more-color: #ECF2FE;
  --light-color: #666666;
  --paragraph-color: #8FA5A5;
  --text-color-light: #666666;
  --hover-color: #051BC7;
  --white-color:  #FFFFFF;
  --body-color: #FBFEFD;
  --text-area-color: #ECF2FE;
  --font-color-text-area: #333333;
  --textbox:#333333;
  --sentence:#666666;
  --missviss: #121212;
  --service: #333333;
  --hover:#021DF3 ;
  --long-titles: #333333;
  --short-titles: #021DF3;
  --card-bg: #FFFFFF;


   --DARKMODEMAP: invert(0%);
  /*========== Font and typography ==========*/
  --body-font: 'Roboto', sans-serif;
  --header-font:'Raleway', sans-serif;
  --biggest-font-size: 2.25rem;
  --second-biggest-font: 2.3rem;
  --h1-font-size: 1.5rem;
  --h2-font-size: 1.25rem;
  --h3-font-size: 1rem;
  --normal-font-size: .938rem;
  --small-font-size: .813rem;
  --smaller-font-size: .75rem;
  --smallest:.7rem;


  /*========== Font weight ==========*/
  --button:  450;
  --font-medium: 500;
  --font-semi-bold: 600;
  --logo-font-weight: 900;

  /*========== Margenes ==========*/
  --mb-01: .3rem;
  --mb-1: .5rem;
  --mb-1-2: .7rem;
  --mb-2: 1rem;
  --mb-02: 1.2rem;
  --mb-021:1rem;
  --mb-3: 1.5rem;
  --mb-4: 2rem;
  --mb-46: 2.45rem;
  --mb-5: 2.5rem;
  --mb-5-1: 2.7rem;
  --mb-6: 3rem;
  --mb-7: 4rem;
  --mb-9: 5rem;
  --mb-10: 6rem;
  --mb-11: 7rem;
  --mb-12: 8rem;
  --mb-8: 20rem;
  --mb-special: 50rem;

  /*========== z index ==========*/
  --z-tooltip: 10;
  --z-fixed: 100;

}

@media screen and (min-width: 768px){
  :root{
    --header:4.2rem;
    --pinaka:4.5rem;
    --biggest-font-size: 4rem;
    --home-font-size:3.5rem;
    --h1-font-size: 2.25rem;
    --h2-font-size: 1.5rem;
    --h3-font-size: 1.25rem;
    --h4-font-size: 1.10rem;
    --normal-font-size: 1rem;
    --small-font-size: .875rem;
    --smaller-font-size: menu
  }
}

/*========== BASE ==========*/
*,::before,::after
{
  box-sizing: border-box;
}

html
{
  scroll-behavior: smooth;
}

/*========== Variables Dark theme ==========*/

body.dark-theme
{
  --light-color: white;
  --text-color: #C7D1CC;
  --body-color: #121212;
  --text-color-light: #FFFF;
  --container-color: #3B4D56;
  --first-color: #021DF3;
  --font-color-text-area:#ffff;
  --second-color: #FEC900;
  --textbox:#333333;
  --DARKMODEMAP: invert(90%);
  --sentence:white;
  --missviss: #021DF3;
  --service: #021DF3;
  --hover: #021DF3;
  --long-titles: #FEDF66;
  --short-titles: #F3F3F3;
  --card-bg: #E6E6E6;
}
/*========== Button Dark/Light ==========*/
.change-theme
{
  position: absolute;
  right: 1rem;
  top: 1.8rem;
  color: var(--light-color);
  font-size: 1rem;
  cursor: pointer;
}
.change-theme:hover{
  color: var(--first-color);
}
body
{
  margin: var(--header-height) 0 0 0;
  font-family: var(--body-font);
  font-size: var(--normal-font-size);
  background-color: var(--body-color);
  color: var(--text-color);
  line-height: 1.6;
  -webkit-user-select: none;
-khtml-user-select: none;
-moz-user-select: none;
-ms-user-select: none;
-o-user-select: none;
user-select: none;
}

h1,h2,h3,p,ul
{
  margin: 0;
}
ul
{
  padding: 0;
  list-style: none;
}
a
{
  text-decoration: none;
}
img
{
  max-width: 100%;
  height: auto;
}

/*========== CLASS CSS ==========*/
.section
{
  padding: 4rem 0 2rem;
}
.section-title, 
.section-subtitle
{
  text-align: center;
}
.section-title
{
  font-size: var(--h1-font-size);
  color: var(--font-color-text-area);
  margin-bottom: var(--mb-3);
}

.section-subtitle
{
  display: block;
  color: var(--first-color);
  font-weight: var(--font-semi-bold);
  margin-bottom: var(--mb-1);
}

/*========== LAYOUT ==========*/
.bd-container
{
  max-width: 960px;
  width: calc(100% - 2rem);
  margin-left: var(--mb-2);
  margin-right: var(--mb-2);
  margin-top: var(--mb-2)
}
.bd-grid
{
  display: grid;
  gap: .5rem;
}
.l-header
{
  width: 100%;
  position: fixed;
  top: 0;
  left: 0;
  z-index: var(--z-fixed);
  background-color: var(--body-color);
}

/*========== NAV ==========*/
.logo_img
{
  margin-top: var(--mb-5);
  margin-bottom: var(--mb-4)
}
.nav
{
  max-width: 1024px;
  height: var(--header-height);
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding-top: 20px;
  padding-bottom: 35px;
}
#talk
{
  padding: 15px 25px;
  border-radius: 8px;
  color: white;
  background-color: var(--first-color);
}
#talk:hover
{
  background-color: var(--hover-color);
}
@media screen and (max-width: 768px){
  .nav__menu
  {
    position: fixed;
    top: -100%;
    left: 0;
    width: 100%;
    padding: 1.5rem 0 1rem;
    text-align: center;
    background-color: var(--body-color);
    transition: .4s;
    box-shadow: 0 4px 4px rgba(0,0,0,.1);
    border-radius: 0 0 1rem 1rem;
    z-index: var(--z-fixed);
    margin-top: var(--mb-021);
    
  }
}
.nav__item
{
  margin-bottom: var(--mb-4);
}
.nav__link, .nav__toggle
{
  color: var(--light-color);
  font-weight: var(--font-medium);
}
.nav__link
{
  transition: .3s;
}
.nav__link:hover
{
  color: var(--first-color);
}
.nav__toggle
{
  font-size: 1.3rem;
  cursor: pointer;
}

/* Show menu */

.show-menu
{
  top: var(--header-height);
}

/* Active menu */
.active-link
{
  color: var(--first-color);
  font-weight: var(--font-semi-bold);
  border-bottom: 5px solid var(--first-color);
  padding-bottom: 10px;
  border-radius: 1px;
}

/* Change background header */
.scroll-header
{
  box-shadow: 0 2px 4px rgba(0,0,0,.1);
}

/* Scroll top */
.scrolltop
{
  position: fixed;
  right: 1rem;
  bottom: -20%;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: .3rem;
  background:var(--first-color);
  border-radius: .4rem;
  z-index: var(--z-tooltip);
  transition: .4s;
  visibility: hidden;
}
.scrolltop:hover
{
  background-color: var(--hover-color);
}
.scrolltop__icon
{
  font-size: 1.8rem;
  color: var(--body-color);
}
.nav__link:hover
{
  color: var(--first-color);
  border-bottom: 5px solid var(--first-color);
  padding-bottom: 10px;
  border-radius: 1px;
}
/* Show scrolltop */
.show-scroll
{
  visibility: visible;
  bottom: 1.5rem;
}
.contact__data h1
{
  font-weight: bolder;
  font-family: var(--header-font);
  font-size: 2rem;
}
/*========== Header ==========*/
.about_us
{
  display: block;
  font-weight: var(--font-semi-bold);
  margin-bottom: var(--mb-1);
  font-size: 10px;
  line-height: 40px;
  letter-spacing: 0.3em;
  background: rgba(254, 201, 0, 0.08);
  border-radius: 10px;
  width: 140px;
  height: 40px;
 background: rgba(254, 232, 151, 0.52);
  border-radius: 10px;
  color: #FEC900;
  text-align: center;

}

h1
{
  font-weight: bolder;
  font-family: var(--header-font);
  font-size: var(--home-font-size);
}
#home{
  padding-top: 8rem;
}
.home__data h1
{
  line-height: 110%;
}
.home__container
{
  margin-top: var(--mb-1);
  height: calc(100vh - var(--header-height));
  align-content: center;
}
.home__title, 
.title-home
{
  font-size: var(--biggest-font-size);
  color: var(--first-color);
  margin-bottom: var(--mb-1);
}
.tech {
  font-size: var(--pinaka);
}
.help
{
  font-size: var(--header);
  color: var(--font-color-text-area);
}
#more-btn-about
{
  cursor: pointer;
  font-size: 13px;
  font-family: var(--body-font);
  color: var(--more-color);
  margin-top: 5%;
  border-style: none;
  border-radius: 8px;
  padding: 15px;
  background-color: var(--first-color);
  width: 150px;
}
#more-btn-about:hover
{
  background-color: var(--hover-color);
  color: white;
}
#more-btn-about-contact{
  cursor: pointer;
  font-size: 13px;
  font-family: var(--body-font);
  color: #021DF3;
  margin-top: 5%;
  border-style: none;
  border-radius: 8px;
  padding: 15px;
  background-color: white;
  width: 150px;
}
#more-btn-about-contact:hover
{
  background-color: #FEC900;
  color: #ffff;
}

.content-home
{
  font-family: var(--body-font);
  line-height: 25px;
  color: var(--light-color);
}

/*========== ABOUT ==========*/
.about__data
{
  text-align: center;
}
.about__data h2{
  color: var(--font-color-text-area);
}
.about mark
{
  background: none;
  border-bottom: 5px solid var(--second-color);
  padding-bottom: 10px;
  border-radius: 1px;
  color:var(--font-color-text-area);;
}
.about__initial{
  font-family: var(--header-font);
}

.about__description
{
  margin-bottom: var(--mb-3);
  color: var(--light-color);
}
.num-abt
{
  color: var(--second-color);
  opacity: 50%;
}
.indv-about
{
  display: flex;
}
.cont-abt
{
  margin-left: 50px;
}
#about
{
  padding-top: 8rem;
  margin-bottom: var(--mb-6);
}
.cont-title {
  color: var(--font-color-text-area);
}
.cont-title:hover
{
  color: var(--second-color);
}
.num-abt:hover
{
  color: var(--second-color);
  opacity: 100%;
}
.cont
{
  color: var(--sentence);
}
/*========== Vision ==========*/
.vision__data h1
{
  line-height: 120%;
}
.vision mark
{
  background: none;
  border-bottom: 5px solid var(--second-color);
  padding-bottom: 10px;
  border-radius: 1px;
  color: var(--font-color-text-area);
}
.vision__description
{
  margin-bottom: var(--mb-3);
  color: var(--text-color-light);
}
.indv-about h2
{
  color: var(--second-color);
  opacity: 50%;
}
.indv-about
{
  display: flex;
}
.cont-abt
{
  margin-left: 10px;
}
#vision
{
  margin-bottom: var(--mb-6);
}
.vision__data img
{
  height: 2600px;
  border-radius: .5rem;
  justify-self: center;
}
.vision-title 
{

  color: var( --font-color-text-area);
}
.vision-title:hover{
  color: var(--missviss);
}

/*========== mission ==========*/
h1
{
  font-weight: bolder;
  font-family: var(--body-font);
  font-size: var(--home-font-size);
}
.mission__data h1
{
  line-height: 120%;
}

/*.mission__container
{
  margin-top: var(--mb-5);
  height: calc(100vh - var(--header-height));
  align-content: center;
}*/

.mission__title
{
  font-size: var(--biggest-font-size);
  color: var(--first-color);
  margin-bottom: var(--mb-1);
}
.mission__subtitle
{
  font-size: var(--h2-font-size);
  color: var(--light-color);
  margin-bottom: var(--mb-4);
}
#more-btn-vis-mis
{
  cursor: pointer;
  font-size: 13px;
  font-family: var(--body-font);
  color: var(--more-color);
  margin-top: 5%;
  border-style: none;
  border-radius: 8px;
  padding: 15px;
  background-color: var(--first-color);
  width: 140px;
}
#more-btn-vis-mis:hover
{
  background-color: var(--hover-color);
  color: white;
}
.content-home
{
  font-family: var(--body-font);
  line-height: 25px;
  color: var(--light-color);
}
/*========== SERVICES ==========*/
.services_container
{
  display: grid;
 place-items: center;
}
.row 
{
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}
.column 
{
  padding: 0 1em 1em 1em;
  text-align: center;
}
.card 
{
  width: 100%;
  height: 100%;
  padding: 2em 1.5em;
  background: linear-gradient(var(--card-bg) 50%, #021DF3 50%);
  background-size: 100% 200%;
  background-position: 0 2.5%;
  border-radius: 5px;
  box-shadow: 0 0 35px rgba(0, 0, 0, 0.12);
  cursor: pointer;
  transition: 0.5s;
}
.row h3 
{
  font-size: 15px;
  font-weight: 600;
  color: #1f194c;
  margin: 1em 0;
}
.row p {
  color: #575a7b;
  font-size: 11px;
  line-height: 1.6;
  letter-spacing: 0.03em;
}
.icon-wrapper 
{
  background-color: #021DF3;
  position: relative;
  margin: auto;
  font-size: 30px;
  height: 2.5em;
  width: 2.5em;
  color: #ffffff;
  border-radius: 50%;
  display: grid;
  place-items: center;
  transition: 0.5s;
}
.card:hover {
  background-position: 0 100%;
}
.card:hover .icon-wrapper {
  background-color: #FEC900;
  color: #2c7bfe;
}
.card:hover h3 {
  color: #ffffff;
}
.card:hover p {
  color: #f0f0f0;
}
@media screen and (min-width: 768px) {
  section {
    padding: 0 2em;
  }
  .column {
    flex: 50%; 
  }
}

@media screen and (min-width: 992px) {
section {
  padding: 1em 3em;
}
.column {
  flex: 0 0 33.33%;
  max-width: 33.33%;
}
.new span
  {
    display: block;
    font-weight: var(--font-semi-bold);
    margin-bottom: var(--mb-1);
    font-size: 10px;
    line-height: 40px;
    letter-spacing: 0.3em;
    background: rgba(254, 201, 0, 0.08);
    border-radius: 10px;
    width: 140px;
    height: 40px;
    background: rgba(118, 131, 241, 0.24);
    border-radius: 10px;
    color: #FEC900;
    text-align: center;
  }
  .vl 
  {
    border-left: 3px solid white;
    height: 150px;
  }
}
.servicetitle, .services__title
{
  color: var(--font-color-text-area);
}
.iconify
{
  color: var(--service);
  margin-right: var(--mb-3);
}
.iconify:hover
{
  color: var(--hover);
}
.section-subtitle:hover
{
  color: var(--second-color);
}
.services__title:hover
{
  color: var(--first-color);
}
.fifth
{
  display: flex;
  align-items: center;
  justify-content: center;
}
.services__content
{
  display: flex;
}
hr
{
  color: var(--first-color);
  opacity: 25%;
}

/*========= PRODUCTS ==========*/
.prod-title{
  color: var(--long-titles);
}

/*========== team  ==========*/
.SERVICE-TITLE-PAGE span
{
  display: block;
  font-weight: var(--font-semi-bold);
  margin-bottom: var(--mb-1);
  font-size: 10px;
  line-height: 40px;
  letter-spacing: 0.3em;
  background: rgba(254, 201, 0, 0.08);
  border-radius: 10px;
  width: 140px;
  height: 40px;
 background: rgba(254, 232, 151, 0.52);
  border-radius: 10px;
  color: var(--short-titles);
  text-align: center;
}
.servces span{
  background: white;
}
.servces h2{
  color: white;
}
.title-home-team
{
  font-family: var(--header-font);
  letter-spacing: 2px;
  font-size: var(--h1-font-size);
  color: var(--long-titles);
  margin-bottom: var(--mb-3);
}
.feautre-parag{
  color: #AAAAAA;
}

.menu__name{
  color: var(--font-color-text-area);
  font-size: var(--small-font-size);
}
.menu__detail{
  color: #AAAAAA;
  font-size: var(--smallest);
}
 .menu-second
 {
  align-content: center;
  justify-content: center;
}
.menu__container img
{
  width: 100%;
}
.third
{
  margin-right: var(--mb-4);
}
.distributor_data
{
  background-color: #021DF3;
  color: #FFFFFF;
  margin-right: var(--mb-3);
  border-radius: 30px;
  height: 250px;
  margin:30px;

}
.contributor{
  margin:30px;
}
.innovator_data{
  background: #F7DA71;
  color: #051061;
  border-radius: 30px;
  height: 250px;
  margin:30px;
}

/*========== contact  ==========*/
h1
{
  font-weight: bolder;
  font-family: var(--header-font);
  font-size: var(--home-font-size);
}

.mission__title
{
  font-size: var(--biggest-font-size);
  color: var(--first-color);
  margin-bottom: var(--mb-1);
}

.mission__subtitle
{
  font-size: var(--h2-font-size);
  color: var(--light-color);
  margin-bottom: var(--mb-4);
}
#more-btn
{
  cursor: pointer;
  font-size: 13px;
  font-family: var(--body-font);
  color: var(--more-color);
  margin-top: 5%;
  border-style: none;
  border-radius: 8px;
  padding: 15px;
  background-color: var(--first-color);
  width: 100%;
}
#more-btn:hover
{
  background-color: var(--hover-color);
  color: white;
}
.content-home
{
  font-family: var(--body-font);
  line-height: 25px;
  color: var(--light-color);
}
.contactimg
{
  filter: var(--DARKMODEMAP);
}

/*========== TEXTBOX ==========*/
.settings input
{
  margin-top: var(--mb-2);
   color:#AAAAAA;
}
.textbox input
{
  width: 100%;
  margin-top: 4px;
  padding: 5px 15px;
  box-sizing: border-box;
  line-height: 2;
  border: 2px;
  background:var(--text-area-color);
  border-radius: 6px;
  color:#AAAAAA;
}
.textbox ,textarea
{
  width: 100%;
  margin-top: 4px;
  padding: 5px 15px;
  box-sizing: border-box;
  line-height: 2;
  font-family: var(--font);
  font-size:var(--paragraph-size);
  border: 2px;
  background:var(--text-area-color);
  border-radius: 6px;
   color:#AAAAAA;
  font-size: var(--smallest);
}
textarea
{
  height: 100px;
}
.textbox:focus 
{
  outline: none !important;
  border:1px solid #3371F2;
}
textarea:focus
{
  outline: none !important;
  border:1px solid #3371F2;
}
.dashboard-subtitle-username 
{
  color: #AAAAAA;
  font-size: var(--smallest);
}

/*========== FOOTER ==========*/
#FOOT{
  padding-top: 3rem;
}
.footer__container
{
  grid-template-columns: repeat(auto-fit, minmax(220px, 1fr));
  row-gap: 2rem;
}
.footer__description
{
  display: block;
  font-size: var(--small-font-size);
  margin: .25rem 0 var(--mb-3);
  color: var(--light-color);
}
.footer__social
{
  font-size: 1.5rem;
  color: var(--light-color);
  margin-right: var(--mb-2);
}
.footer__social:hover
{
  color: var(--first-color);
}
.footer__title
{
  font-size: var(--h4-font-size);
  color: var(--first-color);
  margin-bottom: var(--mb-2);
}
.footer-title
{
  color: var(--light-color);
}
.footer__link
{
  display: inline-block;
  color: var(--light-color);
  margin-bottom: var(--mb-1);
}
.footer__link:hover
{
  color: var(--first-color);
}
.footer__copy
{
  text-align: center;
  font-size: var(--small-font-size);
  color: var(--text-color-light);
  margin-top: 3.5rem;
}
.companyinformation
{
  color: var(--light-color);
  margin-bottom: var(--mb-1);
}
.bot-footer
{
  padding: 2% 25%;
  align-items: center;
  background-color: var(--first-color);
}
#center-ftr
{
  margin: 0px 20px;
}
.cont-ftr
{
  justify-content: center;
  align-items: center;
  display: flex;
}
.cont-ftr > img
{
  height: 25px;
  margin-right: 15px;
}
.cont-ftr > p
{
  font-family: var(--body-font);
  color: white;
  font-size: 15px;
}
hr
{
  color: #000000;
  opacity: 25%;
}
.footer__title:hover{
  color: var(--second-color);
}
#contact 
{
  border:1px solid white;
  border-radius: 40px;
  background-color: #021DF3;


}

.con
{
  display: grid;
}
.contact__container img
{
  width: 400px;
 
}
.TEACHMINT-DATA{
  display: grid;
}
/*========== MEDIA QUERIES ==========*/
@media screen and (min-width: 576px){
  .home__container,
  .about__container,
  .app__container, 
  .contact__container,
  .mission__container, 
  .vision__container, 
  .TEACHMINT-DATA, .cue-DATA
  {
    grid-template-columns: repeat(2,1fr);
    align-items: center;
  }
  .bot-footer
  {
    display: grid;
    grid-template-columns: repeat(3,1fr);
    align-items: center;
    justify-content:space-between;
  }
  .vision__container
  {
    gap: 100px;
  }
  .mission__container 
  {
    gap: 40px;
  }

  .menu-second
  {
    display: flex;
  }

   .menu__container
  {
    display: grid;
    grid-template-columns: repeat(3, 210px);
    column-gap: 5rem;
  }
  .about__data, 
  .about__initial,
  .app__data, 
  .app__initial,
  .contact__container, 
  .contact__initial{
    text-align: initial;
  }
  .mission__data
  {
    margin-left: var(--mb-3);
  }
  .contact__data
  {
    margin-left: var(--mb-3);
  }
 .app__img, 
 .bookings-img 
 {
    width: 380px;
    order: -1;
  }
  .about__img
  {
    width: 450px;
    order: -1;
  }
  .vision__img
  {
    width: 450px;
  }
  .TEACHMINT-DATA img{
    width: 1450px;
  }
  .iframe-rwd{
    order: -1;
  }
  .contact__img{
    order: -1;
  }
  .remind__img 
  {
    width: 918px;
    order: -1;
  }
  .mission__img, .cue
  {
    width: 450px;
    order: -1;
  }
   .contact__img
   {
    order: -1;
  }
  .product_img
  {
    width: 25px;
  }

  .contact__button
  {
    justify-self: center;
  }
  .second-part
  {
    margin-left: var(--mb-10);
  }
 .menu__container
  {
    display: grid;
    grid-template-columns: repeat(2, 210px);
    column-gap: 5rem;
    align-items: center;
    justify-content: center;

  }
  .menu-second
  {
    display: flex;
  }
  .menu__content
  {
    padding: 1.5rem;
  }
}
@media screen and (min-width: 768px){
  body
  {
    margin: 0;
  }

  .section
  {
    padding-top: 8rem;
  }
 
  .nav
  {
    height: calc(var(--header-height) + 1.5rem);
  }
  .nav__list
  {
    display: flex;
  }
  .nav__item{
    margin-left: var(--mb-5);
    margin-bottom: 0;
  }
  .nav__toggle
  {
    display: none;
  }

  .change-theme
  {
    position: initial;
    margin-left: var(--mb-2);
  }

  .home__container
  {
    height: 100vh;
    justify-items: center;
  }

  
}
@media screen and (min-width: 960px){
  .bd-container
  {
    margin-left: auto;
    margin-right: auto;
  }
  .home__img
  {
    width: 500px;
  }
  .logo_img
  {
    margin-right: var(--mb-1);
  }
  .about__container
  {
    column-gap: 7rem;
  }
}

/* For tall screens on mobiles y desktop*/
@media screen and (min-height: 721px) 
{
    .home__container 
    {
      height: 640px;
    }
   .bot
    {
      margin-bottom: 10px;
    }
    .help,
    .tech
     {
      font-size: 3rem;
    }
    .home__img{
      margin-left: -25px;
    }
    .about__img,
    .vision__img,
    .mission__img
    {
      margin-top: 30px;
    }
    .teampic, .last
    {
     margin-bottom: var(--mb-6);
    }
    iframe {
      width: 100%;
      
      display: block;
    }
}

